<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.platform.mapper.PlatformUserOnlineMapper">

    <resultMap type="com.ruoyi.platform.domain.vo.PlatformUserOnlineVO" id="SysUserOnlineResult">
        <id     property="id"         column="id"         />
        <result property="loginName"         column="login_name"        />
        <result property="deptName"          column="dept_name"         />
        <result property="ipaddr"            column="ipaddr"            />
        <result property="loginLocation"     column="login_location"    />
        <result property="browser"           column="browser"           />
        <result property="os"                column="os"                />
        <result property="status"            column="status"            />
        <result property="startTimestamp"    column="start_timestamp"   />
        <result property="lastAccessTime"    column="last_access_time"  />
        <result property="expireTime"        column="expire_time"       />
    </resultMap>

    <sql id="selectOnlineVo">
        select id, login_name, dept_name, ipaddr, login_location, browser, os, status, start_timestamp, last_access_time, expire_time
        from platform_user_online
    </sql>

</mapper> 